Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics.F90	(revision 5158)
@@ -243,5 +243,5 @@
 
         if (ao%use_hydrophilic) then
-          do jtype = 1,n_type_philic
+          DO jtype = 1,n_type_philic
             ao%mass_ext_sw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype))
             ao%ssa_sw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype) &
@@ -266,5 +266,5 @@
 
         if (ao%use_hydrophilic) then
-          do jtype = 1,n_type_philic
+          DO jtype = 1,n_type_philic
             ao%mass_ext_lw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype))
             ao%ssa_lw_philic(:,:,jtype) = matmul(mapping, mass_ext_philic(:,:,jtype) &
@@ -280,5 +280,5 @@
       if (allocated(ao%wavelength_mono)) then
         ! Monochromatic wavelengths also required
-        do jwl = 1,nmono
+        DO jwl = 1,nmono
           ! Wavelength (m) to wavenumber (cm-1)
           wavenumber_target = 0.01_jprb / ao%wavelength_mono(jwl)
@@ -292,5 +292,5 @@
           else
             iwn = 1
-            do while (wavenumber(iwn+1) < wavenumber_target .and. iwn < nwn-1)
+            DO while (wavenumber(iwn+1) < wavenumber_target .and. iwn < nwn-1)
               iwn = iwn + 1
             end do
@@ -419,5 +419,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,ao%n_type_philic
+        DO jtype = 1,ao%n_type_philic
           ao%mass_ext_sw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_sw_philic(:,:,jtype))
           ao%ssa_sw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_sw_philic(:,:,jtype) &
@@ -451,5 +451,5 @@
 
       if (ao%use_hydrophilic) then
-        do jtype = 1,ao%n_type_philic
+        DO jtype = 1,ao%n_type_philic
           ao%mass_ext_lw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_lw_philic(:,:,jtype))
           ao%ssa_lw_philic(:,:,jtype) = matmul(mapping, ao_legacy%mass_ext_lw_philic(:,:,jtype) &
@@ -579,5 +579,5 @@
       ! Aerosol mixing ratios have been provided
 
-      do jtype = 1,config%n_aerosol_types
+      DO jtype = 1,config%n_aerosol_types
         if (config%aerosol_optics%iclass(jtype) == IAerosolClassUndefined) then
           write(nulerr,'(a)') '*** Error: not all aerosol types are defined'
@@ -612,5 +612,5 @@
 
       ! Loop over column
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
 
         ! Reset temporary arrays
@@ -622,5 +622,5 @@
         scat_g_lw_aerosol = 0.0_jprb
 
-        do jlev = istartlev,iendlev
+        DO jlev = istartlev,iendlev
           ! Compute relative humidity with respect to liquid
           ! saturation and the index to the relative-humidity index of
@@ -634,5 +634,5 @@
         end do
 
-        do jtype = 1,config%n_aerosol_types
+        DO jtype = 1,config%n_aerosol_types
           itype = ao%itype(jtype)
 
@@ -643,7 +643,7 @@
           ! dimension being spectral band.
           if (ao%iclass(jtype) == IAerosolClassHydrophobic) then
-            do jlev = istartlev,iendlev
+            DO jlev = istartlev,iendlev
               mixing_ratio = aerosol%mixing_ratio(jcol,jlev,jtype)
-              do jband = 1,config%n_bands_sw
+              DO jband = 1,config%n_bands_sw
                 local_od_sw = factor(jlev) * mixing_ratio &
                      &  * ao%mass_ext_sw_phobic(jband,itype)
@@ -656,5 +656,5 @@
               end do
               if (config%do_lw_aerosol_scattering) then
-                do jband = 1,config%n_bands_lw
+                DO jband = 1,config%n_bands_lw
                   local_od_lw = factor(jlev) * mixing_ratio &
                        &  * ao%mass_ext_lw_phobic(jband,itype)
@@ -670,5 +670,5 @@
                 ! weight the optical depth by the single scattering
                 ! co-albedo
-                do jband = 1,config%n_bands_lw
+                DO jband = 1,config%n_bands_lw
                   od_lw_aerosol(jband,jlev) = od_lw_aerosol(jband,jlev) &
                        &  + factor(jlev) * mixing_ratio &
@@ -682,8 +682,8 @@
             ! Hydrophilic aerosols require the look-up tables to
             ! be indexed with irh
-            do jlev = istartlev,iendlev
+            DO jlev = istartlev,iendlev
               mixing_ratio = aerosol%mixing_ratio(jcol,jlev,jtype)
               irh = irhs(jlev)
-              do jband = 1,config%n_bands_sw
+              DO jband = 1,config%n_bands_sw
                 local_od_sw = factor(jlev) * mixing_ratio &
                      &  * ao%mass_ext_sw_philic(jband,irh,itype)
@@ -696,5 +696,5 @@
               end do
               if (config%do_lw_aerosol_scattering) then
-                do jband = 1,config%n_bands_lw
+                DO jband = 1,config%n_bands_lw
                   local_od_lw = factor(jlev) * mixing_ratio &
                        &  * ao%mass_ext_lw_philic(jband,irh,itype)
@@ -710,5 +710,5 @@
                 ! weight the optical depth by the single scattering
                 ! co-albedo
-                do jband = 1,config%n_bands_lw
+                DO jband = 1,config%n_bands_lw
                   od_lw_aerosol(jband,jlev) = od_lw_aerosol(jband,jlev) &
                        &  + factor(jlev) * mixing_ratio &
@@ -740,6 +740,6 @@
 
           ! We can assume the band and g-point indices are the same
-          do jlev = 1,nlev
-            do jg = 1,config%n_g_sw
+          DO jlev = 1,nlev
+            DO jg = 1,config%n_g_sw
               local_scat = ssa_sw(jg,jlev,jcol)*od_sw(jg,jlev,jcol) + scat_sw_aerosol(jg,jlev)
               od_sw(jg,jlev,jcol) = od_sw(jg,jlev,jcol) + od_sw_aerosol(jg,jlev)
@@ -751,6 +751,6 @@
         else
 
-          do jlev = 1,nlev
-            do jg = 1,config%n_g_sw
+          DO jlev = 1,nlev
+            DO jg = 1,config%n_g_sw
               ! Need to map between bands and g-points
               iband = config%i_band_from_reordered_g_sw(jg)
@@ -781,6 +781,6 @@
                &                             scat_lw_aerosol, scat_g_lw_aerosol)
 
-          do jlev = istartlev,iendlev
-            do jg = 1,config%n_g_lw
+          DO jlev = istartlev,iendlev
+            DO jg = 1,config%n_g_lw
               iband = config%i_band_from_reordered_g_lw(jg)
               local_od = od_lw(jg,jlev,jcol) + od_lw_aerosol(iband,jlev)
@@ -802,12 +802,12 @@
           if (config%do_cloud_aerosol_per_lw_g_point) then
             ! We can assume band and g-point indices are the same
-            do jlev = istartlev,iendlev
-              do jg = 1,config%n_g_lw
+            DO jlev = istartlev,iendlev
+              DO jg = 1,config%n_g_lw
                 od_lw(jg,jlev,jcol) = od_lw(jg,jlev,jcol) + od_lw_aerosol(jg,jlev)
               end do
             end do
           else
-            do jlev = istartlev,iendlev
-              do jg = 1,config%n_g_lw
+            DO jlev = istartlev,iendlev
+              DO jg = 1,config%n_g_lw
                 od_lw(jg,jlev,jcol) = od_lw(jg,jlev,jcol) &
                      &  + od_lw_aerosol(config%i_band_from_reordered_g_lw(jg),jlev)
@@ -901,9 +901,9 @@
 
       ! Loop over position
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-        do jlev = istartlev,iendlev
-          do jb = 1,config%n_bands_sw
+        DO jlev = istartlev,iendlev
+          DO jb = 1,config%n_bands_sw
             od_sw_aerosol(jb,jlev) = aerosol%od_sw(jb,jlev,jcol)
             scat_sw_aerosol(jb,jlev) = aerosol%ssa_sw(jb,jlev,jcol) * od_sw_aerosol(jb,jlev)
@@ -923,7 +923,7 @@
         ! properties (noting that any gas scattering will have an
         ! asymmetry factor of zero)
-        do jlev = istartlev,iendlev
+        DO jlev = istartlev,iendlev
           if (od_sw_aerosol(1,jlev) > 0.0_jprb) then
-            do jg = 1,config%n_g_sw
+            DO jg = 1,config%n_g_sw
               iband = config%i_band_from_reordered_g_sw(jg)
               local_od = od_sw(jg,jlev,jcol) + od_sw_aerosol(iband,jlev)
@@ -961,9 +961,9 @@
 
         ! Loop over position
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-          do jlev = istartlev,iendlev
-            do jb = 1,config%n_bands_lw
+          DO jlev = istartlev,iendlev
+            DO jb = 1,config%n_bands_lw
               od_lw_aerosol(jb,jlev) = aerosol%od_lw(jb,jlev,jcol)
               scat_lw_aerosol(jb,jlev) = aerosol%ssa_lw(jb,jlev,jcol) * od_lw_aerosol(jb,jlev)
@@ -974,6 +974,6 @@
             end do
           end do
-          do jlev = istartlev,iendlev
-            do jg = 1,config%n_g_lw
+          DO jlev = istartlev,iendlev
+            DO jg = 1,config%n_g_lw
               iband = config%i_band_from_reordered_g_lw(jg)
               if (od_lw_aerosol(iband,jlev) > 0.0_jprb) then
@@ -995,18 +995,18 @@
 
         ! Loop over position
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
 ! Added for DWD (2020)
 !NEC$ forced_collapse
-          do jlev = istartlev,iendlev
+          DO jlev = istartlev,iendlev
             ! If aerosol longwave scattering is not included then we
             ! weight the optical depth by the single scattering
             ! co-albedo
-            do jb = 1, config%n_bands_lw
+            DO jb = 1, config%n_bands_lw
               od_lw_aerosol(jb,jlev) = aerosol%od_lw(jb,jlev,jcol) &
                  &  * (1.0_jprb - aerosol%ssa_lw(jb,jlev,jcol))
             end do
           end do
-          do jlev = istartlev,iendlev
-            do jg = 1,config%n_g_lw
+          DO jlev = istartlev,iendlev
+            DO jg = 1,config%n_g_lw
               od_lw(jg,jlev,jcol) = od_lw(jg,jlev,jcol) &
                    &  + od_lw_aerosol(config%i_band_from_reordered_g_lw(jg),jlev)
@@ -1120,5 +1120,5 @@
     if (lhook) call dr_hook('radiation_aerosol_optics:aerosol_extinction',0,hook_handle)
 
-    do jtype = 1,config%n_aerosol_types
+    DO jtype = 1,config%n_aerosol_types
       if (config%aerosol_optics%iclass(jtype) == IAerosolClassUndefined) then
         write(nulerr,'(a)') '*** Error: not all aerosol types are defined'
@@ -1138,10 +1138,10 @@
 
     ! Loop over position
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ext = 0.0_jprb
       ! Get relative-humidity index
       irh = ao%calc_rh_index(relative_humidity(jcol))
       ! Add extinction coefficients from each aerosol type
-      do jtype = 1,config%n_aerosol_types
+      DO jtype = 1,config%n_aerosol_types
         if (ao%iclass(jtype) == IAerosolClassHydrophobic) then
           ext = ext + mixing_ratio(jcol,jtype) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_data.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_data.F90	(revision 5158)
@@ -619,5 +619,5 @@
     iend   = ubound(itypes,1)
 
-    do jtype = istart, iend
+    DO jtype = istart, iend
       if (itypes(jtype) == 0) then
         call this%set_empty_type(jtype)
@@ -655,5 +655,5 @@
     else
       calc_rh_index = 1
-      do while (rh > this%rh_lower(calc_rh_index + 1))
+      DO while (rh > this%rh_lower(calc_rh_index + 1))
         calc_rh_index = calc_rh_index + 1
       end do
@@ -682,5 +682,5 @@
     end if
 
-    do jtype = 1,size(i_type_map)
+    DO jtype = 1,size(i_type_map)
       if (i_type_map(jtype) > 0) then
         write(nulout,'(i4,a,a)') jtype, ' -> hydrophobic type ', &
@@ -714,5 +714,5 @@
 
     ! Find index of first character
-    do while (i_line_current < iline)
+    DO while (i_line_current < iline)
       i_start_new = scan(str(istart:iend), new_line(' '))
       if (i_start_new == 0) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_description.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_description.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_aerosol_optics_description.F90	(revision 5158)
@@ -165,5 +165,5 @@
     
     ! Loop over hydrophilic types
-    do ja = 1,size(this%bin_philic)
+    DO ja = 1,size(this%bin_philic)
       ! Check if we have a match
       if (to_string(this%code_philic(:,ja)) == code_str &
@@ -176,5 +176,5 @@
     end do
     ! Repeat for the hydrophobic types
-    do ja = 1,size(this%bin_phobic)
+    DO ja = 1,size(this%bin_phobic)
       if (to_string(this%code_phobic(:,ja)) == code_str &
            &  .and. trim(to_string(this%optical_model_phobic(:,ja))) &
@@ -255,5 +255,5 @@
     if (lhydrophilic) then
       ! Loop over hydrophilic aerosol types
-      do ja = 1,size(this%bin_philic)
+      DO ja = 1,size(this%bin_philic)
         current_score = 0
         if (to_string(this%code_philic(:,ja)) == code_str) then
@@ -306,5 +306,5 @@
     else
       ! Loop over hydrophobic aerosol types
-      do ja = 1,size(this%bin_phobic)
+      DO ja = 1,size(this%bin_phobic)
         current_score = 0
         if (to_string(this%code_phobic(:,ja)) == code_str) then
@@ -376,5 +376,5 @@
     character(len=size(arr)) :: str
     integer :: jc
-    do jc = 1,size(arr)
+    DO jc = 1,size(arr)
       if (ichar(arr(jc)) == 0) then
         ! Replace NULL character with a space
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud.F90	(revision 5158)
@@ -251,5 +251,5 @@
       ! top-of-atmosphere to surface). In case pressure_hl(:,1)=0, we
       ! don't take the logarithm of the first pressure in each column.
-      do jcol = i1,i2
+      DO jcol = i1,i2
         this%overlap_param(jcol,1) = exp(-(R_over_g/decorrelation_length) &
              &                            * thermodynamics%temperature_hl(jcol,2) &
@@ -258,6 +258,6 @@
       end do
 
-      do jlev = 2,nlev-1
-        do jcol = i1,i2
+      DO jlev = 2,nlev-1
+        DO jcol = i1,i2
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -271,6 +271,6 @@
        ! to top-of-atmosphere).  In case pressure_hl(:,nlev+1)=0, we
        ! don't take the logarithm of the last pressure in each column.
-      do jlev = 1,nlev-2
-        do jcol = i1,i2
+      DO jlev = 1,nlev-2
+        DO jcol = i1,i2
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -280,5 +280,5 @@
       end do
 
-      do jcol = i1,i2
+      DO jcol = i1,i2
         this%overlap_param(jcol,nlev-1) = exp(-(R_over_g/decorrelation_length) &
             &                            * thermodynamics%temperature_hl(jcol,nlev) &
@@ -340,5 +340,5 @@
       ! top-of-atmosphere to surface). In case pressure_hl(:,1)=0, we
       ! don't take the logarithm of the first pressure in each column.
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         this%overlap_param(jcol,1) = exp(-(R_over_g/decorrelation_length(jcol)) &
              &                            * thermodynamics%temperature_hl(jcol,2) &
@@ -347,6 +347,6 @@
       end do
 
-      do jlev = 2,nlev-1
-        do jcol = istartcol,iendcol
+      DO jlev = 2,nlev-1
+        DO jcol = istartcol,iendcol
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length(jcol)) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -360,6 +360,6 @@
        ! to top-of-atmosphere).  In case pressure_hl(:,nlev+1)=0, we
        ! don't take the logarithm of the last pressure in each column.
-      do jlev = 1,nlev-2
-        do jcol = istartcol,iendcol
+      DO jlev = 1,nlev-2
+        DO jcol = istartcol,iendcol
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length(jcol)) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -369,5 +369,5 @@
       end do
 
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         this%overlap_param(jcol,nlev-1) = exp(-(R_over_g/decorrelation_length(jcol)) &
             &                            * thermodynamics%temperature_hl(jcol,nlev) &
@@ -423,5 +423,5 @@
       ! top-of-atmosphere to surface). In case pressure_hl(:,1)=0, we
       ! don't take the logarithm of the first pressure in each column.
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         this%overlap_param(jcol,1) = exp(-(R_over_g/decorrelation_length(jcol,1)) &
              &                            * thermodynamics%temperature_hl(jcol,2) &
@@ -430,6 +430,6 @@
       end do
 
-      do jlev = 2,nlev-1
-        do jcol = istartcol,iendcol
+      DO jlev = 2,nlev-1
+        DO jcol = istartcol,iendcol
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length(jcol,jlev)) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -443,6 +443,6 @@
        ! to top-of-atmosphere).  In case pressure_hl(:,nlev+1)=0, we
        ! don't take the logarithm of the last pressure in each column.
-      do jlev = 1,nlev-2
-        do jcol = istartcol,iendcol
+      DO jlev = 1,nlev-2
+        DO jcol = istartcol,iendcol
           this%overlap_param(jcol,jlev) = exp(-(0.5_jprb*R_over_g/decorrelation_length(jcol,jlev)) &
               &                            * thermodynamics%temperature_hl(jcol,jlev+1) &
@@ -452,5 +452,5 @@
       end do
 
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
       ! AI ATTENTION a verifier decorrelation_length(jcol,nlev-1) ou nlev
         this%overlap_param(jcol,nlev-1) = exp(-(R_over_g/decorrelation_length(jcol,nlev-1)) &
@@ -663,5 +663,5 @@
     end if
 
-    do jcol = i1,i2
+    DO jcol = i1,i2
       eta = (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)) &
            &  * (0.5_jprb / pressure_hl(jcol,isurf))
@@ -761,5 +761,5 @@
     end if
 
-    do jcol = i1,i2
+    DO jcol = i1,i2
       eta = (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)) &
            &  * (0.5_jprb / pressure_hl(jcol,isurf))
@@ -804,14 +804,14 @@
     ntype = size(this%mixing_ratio,3)
     
-    do jlev = 1,nlev
-      do jcol = istartcol,iendcol
+    DO jlev = 1,nlev
+      DO jcol = istartcol,iendcol
         sum_mixing_ratio(jcol) = 0.0_jprb
       end do
-      do jh = 1, ntype
-        do jcol = istartcol,iendcol
+      DO jh = 1, ntype
+        DO jcol = istartcol,iendcol
           sum_mixing_ratio(jcol) = sum_mixing_ratio(jcol) + this%mixing_ratio(jcol,jlev,jh)
         end do
       end do
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         if (this%fraction(jcol,jlev)        < cloud_fraction_threshold &
              &  .or. sum_mixing_ratio(jcol) < cloud_mixing_ratio_threshold) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_cover.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_cover.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_cover.F90	(revision 5158)
@@ -159,5 +159,5 @@
     cum_product = 1.0_jprb - frac(1)
     cum_cloud_cover(1) = frac(1)
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       ! Compute the combined cloud cover of layers jlev and jlev+1
       pair_cloud_cover(jlev) = max(frac(jlev),frac(jlev+1))
@@ -242,5 +242,5 @@
     cum_product = 1.0_jprb - frac(1)
     cum_cloud_cover(1) = frac(1)
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       ! Convert to "alpha" overlap parameter if necessary
       if (do_overlap_conversion) then
@@ -258,5 +258,5 @@
 #ifdef DWD_VECTOR_OPTIMIZATIONS
     end do
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
 #endif
       if (frac(jlev) >= MaxCloudFrac) then
@@ -385,5 +385,5 @@
     jlev = 1
     nobj = 0
-    do while (jlev <= nlev)
+    DO while (jlev <= nlev)
       if (frac(jlev) > min_frac) then
         ! Starting a new object: store its top
@@ -392,5 +392,5 @@
         ! Find its maximum cloud fraction
         jlev = jlev + 1
-        do while (jlev <= nlev) 
+        DO while (jlev <= nlev)
           if (frac(jlev) < frac(jlev-1)) then
             exit
@@ -400,5 +400,5 @@
         i_max_obj(nobj) = jlev - 1
         ! Find its base
-        do while (jlev <= nlev)
+        DO while (jlev <= nlev)
           if (frac(jlev) > frac(jlev-1) .or. frac(jlev) <= min_frac) then
             exit
@@ -435,5 +435,5 @@
 
         ! Compute the combined cloud cover of pairs of layers
-        do jlev = 1,nlev-1
+        DO jlev = 1,nlev-1
           pair_cloud_cover(jlev) &
                &  = overlap_param(jlev)*max(frac(jlev),frac(jlev+1)) &
@@ -444,5 +444,5 @@
         ! adjacent objects as the product of the layerwise overlap
         ! parameters between their layers of maximum cloud fraction
-        do jobj = 1,nobj-1
+        DO jobj = 1,nobj-1
           alpha_obj(jobj) &
                &  = product(overlap_param(i_max_obj(jobj):i_max_obj(jobj+1)-1))
@@ -456,5 +456,5 @@
              &                     frac(1:nlev-1), frac(2:nlev))
         ! Compute the combined cloud cover of pairs of layers
-        do jlev = 1,nlev-1
+        DO jlev = 1,nlev-1
           pair_cloud_cover(jlev) &
                &  = overlap_alpha(jlev)*max(frac(jlev),frac(jlev+1)) &
@@ -465,5 +465,5 @@
         ! adjacent objects as the product of the layerwise overlap
         ! parameters between their layers of maximum cloud fraction
-        do jobj = 1,nobj-1
+        DO jobj = 1,nobj-1
           alpha_obj(jobj) &
                &  = product(overlap_alpha(i_max_obj(jobj):i_max_obj(jobj+1)-1))
@@ -476,7 +476,7 @@
       ! of each object: this will later be converted to the cumulative
       ! cloud cover working down from TOA
-      do jobj = 1,nobj
+      DO jobj = 1,nobj
         cum_cloud_cover(i_top_obj(jobj)) = frac(i_top_obj(jobj))
-        do jlev = i_top_obj(jobj), i_base_obj(jobj)-1
+        DO jlev = i_top_obj(jobj), i_base_obj(jobj)-1
           if (frac(jlev) >= MaxCloudFrac) then
             ! Cloud cover has reached one
@@ -496,5 +496,5 @@
       ! Sequentially combine objects until there is only one left
       ! covering the full vertical extent of clouds in the profile
-      do while (nobj > 1)
+      DO while (nobj > 1)
         ! Find the most correlated adjacent pair of objects
         alpha_max = 0.0_jprb
@@ -506,5 +506,5 @@
 
         jobj = 1
-        do while (jobj < nobj)
+        DO while (jobj < nobj)
           if (alpha_obj(jobj) > alpha_max) then
             alpha_max = alpha_obj(jobj)
@@ -533,5 +533,5 @@
         ! Scale the combined cloud cover of the lower object to
         ! account for its overlap with the upper object
-        do jlev = i_top_obj(iobj2),i_base_obj(iobj2)
+        DO jlev = i_top_obj(iobj2),i_base_obj(iobj2)
           cum_cloud_cover(jlev) = cum_cloud_cover(i_base_obj(iobj1)) &
                +  cum_cloud_cover(jlev) * scaling
@@ -554,5 +554,5 @@
       ! Ensure that the combined cloud cover of pairs of layers is
       ! consistent with the overhang
-      do jlev = 1,nlev-1
+      DO jlev = 1,nlev-1
         pair_cloud_cover(jlev) = max(pair_cloud_cover(jlev), &
              &     frac(jlev)+cum_cloud_cover(jlev+1)-cum_cloud_cover(jlev))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_generator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_generator.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_generator.F90	(revision 5158)
@@ -152,5 +152,5 @@
 
     total_cloud_cover = cum_cloud_cover(nlev);
-    do jlev = 1,nlev-1
+    DO jlev = 1,nlev-1
       overhang(jlev) = cum_cloud_cover(jlev+1)-cum_cloud_cover(jlev)
     end do
@@ -166,10 +166,10 @@
       ! Find range of cloudy layers
       jlev = 1
-      do while (frac(jlev) <= 0.0_jprb) 
+      DO while (frac(jlev) <= 0.0_jprb)
         jlev = jlev + 1
       end do
       ibegin = jlev
       iend = jlev
-      do jlev = jlev+1,nlev
+      DO jlev = jlev+1,nlev
         if (frac(jlev) > 0.0_jprb) then
           iend = jlev
@@ -180,5 +180,5 @@
       overlap_param_inhom = overlap_param
 
-      do jlev = ibegin,iend-1
+      DO jlev = ibegin,iend-1
         if (overlap_param(jlev) > 0.0_jprb) then
           overlap_param_inhom(jlev) &
@@ -208,10 +208,10 @@
         
         ! Loop over ng columns
-        do jg = 1,ng
+        DO jg = 1,ng
           ! Find the cloud top height corresponding to the current
           ! random number, and store in itrigger
           trigger = rand_top(jg) * total_cloud_cover
           jlev = ibegin
-          do while (trigger > cum_cloud_cover(jlev) .and. jlev < iend)
+          DO while (trigger > cum_cloud_cover(jlev) .and. jlev < iend)
             jlev = jlev + 1
           end do
@@ -328,5 +328,5 @@
     ! Loop from the layer below the local cloud top down to the
     ! bottom-most cloudy layer
-    do jlev = itrigger+1,iend+1
+    DO jlev = itrigger+1,iend+1
       do_fill_od_scaling = .false.
       if (jlev <= iend) then
@@ -367,5 +367,5 @@
 
         ! Loop through the sequence of cloudy layers
-        do jcloud = 2,n_layers_to_scale
+        DO jcloud = 2,n_layers_to_scale
           ! Use second random number, and inhomogeneity overlap
           ! parameter, to decide whether the first random number
@@ -463,5 +463,5 @@
     ! Loop from the layer below the local cloud top down to the
     ! bottom-most cloudy layer
-    do jlev = itrigger+1,iend
+    DO jlev = itrigger+1,iend
       iy = iy+1
       if (is_cloudy(jlev-1)) then
@@ -494,5 +494,5 @@
         
     ! Loop through the sequence of cloudy layers
-    do jcloud = 2,n_layers_to_scale
+    DO jcloud = 2,n_layers_to_scale
       ! Use second random number, and inhomogeneity overlap
       ! parameter, to decide whether the first random number
@@ -679,5 +679,5 @@
 
     ! Loop down through layers starting at the first cloudy layer
-    do jlev = ibegin,iend
+    DO jlev = ibegin,iend
 
       if (is_any_cloud(jlev)) then
@@ -685,5 +685,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-        do jg = 1,ng
+        DO jg = 1,ng
           ! The intention is that all these operations are vectorizable,
           ! since all are vector operations on vectors of length ng...
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloud_optics.F90	(revision 5158)
@@ -288,6 +288,6 @@
       end if
 
-      do jlev = 1,nlev
-        do jcol = istartcol,iendcol
+      DO jlev = 1,nlev
+        DO jcol = istartcol,iendcol
           ! Only do anything if cloud is present (assume that
           ! cloud%crop_cloud_fraction has already been called)
@@ -459,5 +459,5 @@
   ! Added for DWD (2020)
   !NEC$ shortloop
-              do jb = 1, config%n_bands_lw
+              DO jb = 1, config%n_bands_lw
                 od_lw_cloud(jb,jlev,jcol) = od_lw_liq(jb) + od_lw_ice(jb)
                 if (scat_od_lw_liq(jb)+scat_od_lw_ice(jb) > 0.0_jprb) then
@@ -477,5 +477,5 @@
   ! Added for DWD (2020)
   !NEC$ shortloop
-              do jb = 1, config%n_bands_lw
+              DO jb = 1, config%n_bands_lw
                 od_lw_cloud(jb,jlev,jcol) = od_lw_liq(jb) - scat_od_lw_liq(jb) &
                       &                   + od_lw_ice(jb) - scat_od_lw_ice(jb)
@@ -484,5 +484,5 @@
   ! Added for DWD (2020)
   !NEC$ shortloop
-            do jb = 1, config%n_bands_sw
+            DO jb = 1, config%n_bands_sw
               od_sw_cloud(jb,jlev,jcol) = od_sw_liq(jb) + od_sw_ice(jb)
               g_sw_cloud(jb,jlev,jcol) = (g_sw_liq(jb) * scat_od_sw_liq(jb) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_lw.F90	(revision 5158)
@@ -95,9 +95,9 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       ! Compute the reflectance and transmittance of all layers,
       ! neglecting clouds
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_lw_aerosol_scattering) then
           ! Scattering case: first compute clear-sky reflectance,
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_cloudless_sw.F90	(revision 5158)
@@ -103,5 +103,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ! Only perform calculation if sun above the horizon
       if (single_level%cos_sza(jcol) > 0.0_jprb) then
@@ -114,5 +114,5 @@
           ! Delta-Eddington scaling has already been performed to the
           ! aerosol part of od, ssa and g
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             call calc_two_stream_gammas_sw(ng, cos_sza, &
                  &  ssa(:,jlev,jcol), g(:,jlev,jcol), &
@@ -128,5 +128,5 @@
         else
           ! Apply delta-Eddington scaling to the aerosol-gas mixture
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             od_total  =  od(:,jlev,jcol)
             ssa_total = ssa(:,jlev,jcol)
